unit CadHistoricoPedidos;

interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, UCBase, ImgList, AppEvnts, IB_Components,
  ExtCtrls, StdCtrls, jpeg, Grids, IB_Grid, Buttons, ComCtrls, IB_Controls,
  Mask, IB_EditButton, System.ImageList;

type
  TfrmCadHistoricoPedidos = class(TFrModeloCadastro)
    GroupBox2: TGroupBox;
    dbCodigo: TIB_Text;
    dbUsuario: TIB_Edit;
    dbDataCadastro: TIB_Edit;
    dbHora: TIB_Edit;
    qryUsuario: TIB_Query;
    dtUsuario: TIB_DataSource;
    dbHistorico: TIB_Memo;
    grpReferencia: TGroupBox;
    IB_Edit1: TIB_Edit;
    btnPesquisaCliente: TBitBtn;
    IB_Edit2: TIB_Edit;
    IB_Edit3: TIB_Edit;
    IB_Edit4: TIB_Edit;
    IB_Edit5: TIB_Edit;
    procedure btnPesquisaClienteClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BtInserirClick(Sender: TObject);
    procedure BtCancelarClick(Sender: TObject);
    procedure AtualizaTela;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadHistoricoPedidos: TfrmCadHistoricoPedidos;

implementation

uses Pedidos, DataModulo;

{$R *.dfm}

procedure TfrmCadHistoricoPedidos.btnPesquisaClienteClick(Sender: TObject);
begin
  inherited;
   if tbPrincipal.FieldByName('COD_PEDIDO').AsInteger = 0 then
   begin
      MessageDlg('Não existem Pedidos a serem detalhados', mtWarning, [mbOK], 0);
      Exit;
   end;

   frmPedidos := TfrmPedidos.Create(Application);
   frmPedidos.OutraTela := True;
   frmPedidos.Consulta  := True;
   frmPedidos.TbPrincipal.Locate('COD_PEDIDO',tbPrincipal.FieldByName('COD_PEDIDO').Value,[]);
   frmPedidos.BtEditar.Click;
   frmPedidos.ShowModal;
   frmPedidos.Destroy;
   Screen.OnActiveControlChange := TrocaCor;

end;

procedure TfrmCadHistoricoPedidos.FormCreate(Sender: TObject);
begin
  inherited;
  Gera_Codigo:=True;
  qryUsuario.Open;
end;

procedure TfrmCadHistoricoPedidos.AtualizaTela;
begin
  TbPrincipal.Refresh;
   if not qryUsuario.Locate('COD_USUARIO',TbPrincipal.FieldByName('COD_USUARIO').Value ,[]) then
   begin
      if not qryUsuario.Bof then
      begin
         qryUsuario.First;
         qryUsuario.Prior;
      end;
   end;
end;
procedure TfrmCadHistoricoPedidos.BtInserirClick(Sender: TObject);
begin
  inherited;
  TbPrincipal.FieldByName('DATA_HISTORICO').Value:=Date;
  TbPrincipal.FieldByName('HORA_HISTORICO').Value:=Time;
  TbPrincipal.FieldByName('COD_USUARIO').Value:=Dados.qrUsuario.FieldByName('COD_USUARIO').Value;
  TbPrincipal.FieldByName('COD_FILIAL').Value:=Dados.qrFilial.fieldByName('COD_FILIAL').AsInteger;
end;

procedure TfrmCadHistoricoPedidos.BtCancelarClick(Sender: TObject);
begin
  inherited;
  AtualizaTela;
end;

end.
